
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C语言控制台窗口图形界面编程之八 鼠标事件 / iVAN</title>

    <meta name="description" content="C语言控制台窗口图形界面编程之八 鼠标事件 上次讲的是键盘事件,这次我们介绍鼠标事件.下面先介绍下鼠标事件的结构体以及相关信息. typedef struct _MOUSE_EVENT_RECORD //鼠标事件结构体 { COORD dwMousePosition; //当前鼠标在控制台窗口缓冲区的位置 DWORD dwButtonState; //鼠标按键的状态 DWORD dwControlKeyState; //控制键状态 DWORD dwEventFlags; //鼠标事件类型 } MOUSE_EVENT_RECORD; /*">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C语言控制台窗口图形界面编程之八 鼠标事件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上次讲的是键盘事件，这次我们介绍鼠标事件。下面先介绍下鼠标事件的结构体以及相关信息。</p>
<pre>
typedef struct _MOUSE_EVENT_RECORD      //鼠标事件结构体
{
    COORD dwMousePosition;      //当前鼠标在控制台窗口缓冲区的位置
    DWORD dwButtonState;        //鼠标按键的状态
    DWORD dwControlKeyState;    //控制键状态
    DWORD dwEventFlags;         //鼠标事件类型
} MOUSE_EVENT_RECORD;
/*
其中鼠标按键状态dwButtonState可能的值有
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
FROM_LEFT_1ST_BUTTON_PRESSED        最左边的鼠标键被按下      一般来说就是鼠标左键
FROM_LEFT_2ND_BUTTON_PRESSED        左起第二个鼠标键被按下    一般来说是鼠标中键，就是滚轮键
FROM_LEFT_3RD_BUTTON_PRESSED        左起第三个鼠标键被按下
FROM_LEFT_4TH_BUTTON_PRESSED        左起第四个鼠标键被按下
RIGHTMOST_BUTTON_PRESSED            最右边的鼠标键被按下      一般来说是鼠标右键
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
控制键状态dwControlKeyState与键盘事件的一样
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ENHANCED_KEY        扩展键被按下
LEFT_ALT_PRESSED    左Alt键被按下
LEFT_CTRL_PRESSED   左Ctrl键被按下
RIGHT_ALT_PRESSED   右Alt键被按下
RIGHT_CTRL_PRESSED  右Ctrl键被按下
NUMLOCK_ON          数字锁定被打开
SCROLLLOCK_ON       滚动锁定被打开
CAPSLOCK_ON         大写锁定被打开
SHIFT_PRESSED       Shift键被按下
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
鼠标事件类型dwEventFlags有以下几种
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
DOUBLE_CLICK            双击，第一击只作为普通按键事件，第二击才作为双击事件
MOUSE_HWHEELED          水平鼠标滚轮移动
MOUSE_MOVED             鼠标移动
MOUSE_WHEELED           垂直鼠标滚轮移动
0                       当鼠标有键被按下或者释放
*/</pre>
<p>本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/C/</p>
<p>下面给一个样例程序，实现在控制台窗口缓冲区的最下面一行显示当前鼠标在缓冲区的坐标，单击左键在当前鼠标位置输出字母A，单击右键则输出字母B，双击任何鼠标键退出的功能。程序如下：</p>
<pre>
#include &lt;stdio.h&gt;
#include &lt;windows.h&gt;
#include &lt;conio.h&gt;    

HANDLE handle_in;
HANDLE handle_out;
CONSOLE_SCREEN_BUFFER_INFO csbi;        //定义窗口缓冲区信息结构体    

void DisplayMousePosition(COORD pos);   //显示鼠标所在位置    

void gotoxy(int x, int y);  //将光标移到坐标为(x,y)的位置    

int main()
{
    handle_in = GetStdHandle(STD_INPUT_HANDLE);      //获得标准输入设备句柄
    handle_out = GetStdHandle(STD_OUTPUT_HANDLE);    //获得标准输出设备句柄
    INPUT_RECORD mouserec;      //定义输入事件结构体
    DWORD res;      //用于存储读取记录
    COORD pos;      //用于存储鼠标当前位置
    COORD size = {80, 25};  //窗口缓冲区大小
    GetConsoleScreenBufferInfo(handle_out, &amp;csbi);  //获得窗口缓冲区信息
    SetConsoleScreenBufferSize(handle_out, size);   //设置窗口缓冲区大小
    for (;;)
    {
        ReadConsoleInput(handle_in, &amp;mouserec, 1, &amp;res);      //读取输入事件
        pos = mouserec.Event.MouseEvent.dwMousePosition;    //获得当前鼠标位置
        gotoxy(0, 24);  //在第25行显示鼠标位置
        DisplayMousePosition(pos);      //显示鼠标位置
        if (mouserec.EventType == MOUSE_EVENT)    //如果当前为鼠标事件
        {
            gotoxy(pos.X, pos.Y);
            //单击鼠标左键，输出字符A
            if (mouserec.Event.MouseEvent.dwButtonState == FROM_LEFT_1ST_BUTTON_PRESSED)
            {
                putchar('A');
            }
            //单击鼠标右键，输出字符B
            if (mouserec.Event.MouseEvent.dwButtonState == RIGHTMOST_BUTTON_PRESSED)
            {
                putchar('B');
            }
            //双击退出
            if (mouserec.Event.MouseEvent.dwEventFlags == DOUBLE_CLICK)
            {
                break;
            }
        }
    }
    CloseHandle(handle_out);
    CloseHandle(handle_in);
    return 0;
}    

void DisplayMousePosition(COORD pos)
{
    COORD dis = {0, 24};        //在第24行显示鼠标位置
    WORD att = FOREGROUND_GREEN | FOREGROUND_INTENSITY; //文本属性
    GetConsoleScreenBufferInfo(handle_out, &amp;csbi);  //获得窗口缓冲区信息
    printf("X = %3d, Y = %3d", (int)pos.X, (int)pos.Y);
    FillConsoleOutputAttribute(handle_out, att, 16, dis, NULL);  //填充文本属性
    return;
}    

void gotoxy(int x, int y)
{
    COORD pos = {x, y};
    SetConsoleCursorPosition(handle_out, pos);
}</pre>
<p>附上用本程序写的Hello world！的图：<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVBSMjEzTS0wLmdpZg==.jpg"></p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索鼠标<br />
                    ，                事件<br />
                    ，                位置<br />
                    ，                缓冲区<br />
                    ，                窗口<br />
                    ，                pos<br />
                    ，                gotoxy函数<br />
                                    鼠标滚轮编程<br />
                                    c语言控制台界面编程、c语言控制台编程、c语言图形界面编程、c语言图形编程、c语言图形化编程，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:26:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%aa%97%e5%8f%a3/" title="窗口">窗口</a>, <a href="https://www.iamivan.net/tag/pos/" title="pos">pos</a>, <a href="https://www.iamivan.net/tag/%e9%bc%a0%e6%a0%87/" title="鼠标">鼠标</a>, <a href="https://www.iamivan.net/tag/%e4%bd%8d%e7%bd%ae/" title="位置">位置</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%86%b2%e5%8c%ba/" title="缓冲区">缓冲区</a>, <a href="https://www.iamivan.net/tag/%e9%bc%a0%e6%a0%87%e6%bb%9a%e8%bd%ae%e7%bc%96%e7%a8%8b/" title="鼠标滚轮编程">鼠标滚轮编程</a>, <a href="https://www.iamivan.net/tag/gotoxy%e5%87%bd%e6%95%b0/" title="gotoxy函数">gotoxy函数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C语言控制台窗口图形界面编程之八 鼠标事件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrRJjM.html" rel="bookmark">C语言控制台窗口图形界面编程之七 键盘事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				输入事件中的键盘事件通常有字符事件和按键事件,这些事件的附带信息构成了键盘输入的信息,而想要读取这些信息,是要通过API函数ReadConsoleInput来获取的,函数原型如下: BOOL ReadConsoleInput( //读取输入信息 HANDLE hConsoleInput, //句柄 PINPUT_RECORD lpBuffer, //输入事件结构体的指针 DWORD nLength, //要读取的记录数 LPDWORD lpNumberOfEventsRead //用来接受成功读			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyL7kb.html" rel="bookmark">C语言控制台窗口图形界面编程之六 光标操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制台窗口的光标的位置反映的是当前文本输入的插入位置,通过Windows API函数我们可以随意更改光标的位置,下面介绍这个控制光标位置的API函 BOOL SetConsoleCursorPosition( //设置光标位置 HANDLE hConsoleOutput, //句柄 COORD dwCursorPosition //坐标 ); //若函数调用成功则返回非0值 不仅仅是光标的位置,光标的信息我们也可以通过一些API函数来设置,下面介绍光标信息结构体已经获得和设置光标信息的API函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bowXXb.html" rel="bookmark">C语言控制台窗口图形界面编程之五 控制文本移动的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制文本的移动是控制台窗口界面编程的一个很重要的功能,有了这个功能我们可以实现界面的滚动.下面我们介绍一个控制文本移动的函数,如下: BOOL ScrollConsoleScreenBuffer( //文本移动函数 HANDLE hConsoleOutput, //句柄 const SMALL_RECT *lpScrollRectangle, //移动区域 const SMALL_RECT *lpClipRectangle, //裁剪区域,如果为NULL,那么将代表整个屏幕缓冲区 COORD d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQAJ8b.html" rel="bookmark">C语言控制台窗口图形界面编程之三 设置文本属性的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这里介绍一个设置文本属性的函数,原型如下 BOOL SetConsoleTextAttribute( // 设置WriteConsole等函数的字符属性 HANDLE hConsoleOutput, // 句柄 WORD wAttributes // 文本属性 ); 本栏目更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Programming/C/ 顺便提一下文本属性,其实就是颜色属性,有背景色和前景色(就是字符的颜色)两类,每一类只提供			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5GBab.html" rel="bookmark">C语言控制台窗口图形界面编程之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章改编自&lt;C语言控制台窗口界面编程(修正版)&gt;.本系列文章会抛弃一些原文中难懂难理解且不常用的部分,并修改了部分样例程序.只为了更加清晰地学习C语言的控制台窗口界面编程.而想要更加深入的了解本系列文章,请阅读&lt;C语言控制台窗口界面编程(修正版)&gt;. &lt;C语言控制台窗口界面编程(修正版)&gt;下载地址:http://download.csdn.net/detail/jzqt_t/7471013 在Windows操作系统下用C语言编写控制台的窗口界面首先要获取当前标准输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9ze8Gwp.html" rel="bookmark">C语言控制台窗口图形界面编程之四 常用的文本输出函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文本颜色属性已经学会了,那么下面就学习几个比较常用的文本输出函数,如下: BOOL FillConsoleOutputAttribute( // 填充字符属性 HANDLE hConsoleOutput, // 句柄 WORD wAttribute, // 文本属性 DWORD nLength, // 个数 COORD dwWriteCoord, // 开始位置 LPDWORD lpNumberOfAttrsWritten // 返回填充的个数 ); BOOL FillConsoleOutput			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqB9Zp.html" rel="bookmark">C语言控制台窗口图形界面编程之二 用于控制台窗口操作的API函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面介绍几个用于控制台窗口操作的API函数,如下: //获取控制台窗口信息 GetConsoleScreenBufferInfo(); //获取控制台窗口标题 GetConsoleTitle(); //更改指定缓冲区大小 SetConsoleScreenBufferSize(); //设置控制台窗口标题 SetConsoleTitle(); //设置控制台窗口信息 SetConsoleWindowInfo(); 下面的示例程序用于说明此类函数的使用: #include &lt;stdio.h&gt; #i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwaqKp.html" rel="bookmark">请问java图形界面编程中怎样改变消息提示框中确定按钮的文本内容啊？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问java图形界面编程中怎样改变消息提示框中确定按钮的文本内容啊? 问题补充:恩恩,swing的!请问怎么改啊?xiaolv 写道 解决方案 JOptionPane.setDefaultLocale(Locale.CHINA);JOptionPane.showMessageDialog(null, &quot;11&quot;, &quot;22&quot;,JOptionPane.INFORMATION_MESSAGE);这个按钮自动集成多语言.只能通来Locale来改.想要OK就用Loca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RYJvb.html" rel="bookmark">java-Java图形界面编程怎样动态绘制矩形？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java图形界面编程怎样动态绘制矩形? 就是类似Windows自带画图程序的那种,从一个点拖动到另一个点, 动态地绘制一个任意大小的矩形,大概的思路是怎样的 如果有其它语言实现的,可以讲一下大概的思路啊,不一定要代码 解决方案 '先确定要画的是矩形,在获取鼠标按下点的坐标,在获取移动到的点的坐标,实现移动一次图形更新一次,最后确定下鼠标抬起点的坐标,用以确定最后矩形的的大小 解决方案二: 这里有个完整的例子:http://developer.51cto.com/art/201201/3			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBdQM.html" rel="bookmark" class="title">PS调色教程 模特调出淡雅柔美的黑白大片效果</a>
					<div>
						这一辑『step by step』,我们将教你把普通的照片修出时尚大片的感觉,做法很简单也很有趣,我们开始吧~ 原图: 效果图: photoshop教程 Step1 用Photoshop打开要处理的照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkeRrb.html" rel="bookmark" class="title">PS利用渐变映射给美女照片调出朦胧效果新手调色教程</a>
					<div>
						教程教大家用PS的渐变映射给美女照片调出朦胧效果,很简单的新手调色教程,只要用一个渐变映射就可以了,类似一些影楼的朦胧梦幻效果,喜欢的同学可以学习一下!         三联推荐:photoshop7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRdYdz.html" rel="bookmark" class="title">SDK实现分隔条</a>
					<div>
						Windows中的分隔条是一种被广泛使用的控件,绝大多数Explorer式样的应用程序都使用了这种控件.然而却很少有相关的资料对它的完整实现进行介绍,于是我自己实现了一个,希望对SDK的爱好者们有所帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN0Y7z.html" rel="bookmark" class="title">网站优化教程&colon;网站专题页面优化标准流程</a>
					<div>
						文章简介:专题页的内容就是一个网站内部一个微网站,把整个网站关于某一个方面的内容聚集到一个页面方面用户的阅读.所以专题页内容丰富度非常高,排名也更加容易做上来. 专题页的好处在于做长尾关键词的排名更加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrg0yp.html" rel="bookmark" class="title">产品经理设计工作分享&colon;用户邀请设计总结</a>
					<div>
						文章描述:用户访谈系列-用户邀请总结.   曾经在国内最知名搜索公司担任用户研究工程师,用户访谈系列文章将总结自己在工作当中自己的经验.用户访谈不管是对于用户研究工程师,还是产品经理,都是一个非常值得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR2gYz.html" rel="bookmark" class="title">驱动程序的动态加载</a>
					<div>
						驱动程序做出来后,怎么用呢?根据Four-F的说法,有三种方式:服务控制管理器(Service Control Manager (SCM).) 服务控制程序(Service Control Progr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj78D0M.html" rel="bookmark" class="title">sharepoint 2010中实现一个会议室预订系统</a>
					<div>
						由于现在有很多企业或者公司,其办公楼层会议室比较多,预订情况不能及时得知,为了能进一步规范和管理这些会议室资源,更好的提高办公会议室的资源使用率,提高组织者安排会议的效率,需要有一套比较成熟的会议室预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ711qb.html" rel="bookmark" class="title">Excel 2007单元格内容的编辑与控制</a>
					<div>
						在Excel里,可以直接在单元格中编辑单元格内容,也可以在编辑栏中编辑单元格内容,并对内容进行控制. 注释 在编辑模式下,许多功能区命令将处于非活动状态,您将无法使用它们. 1.要将单元格内容置于编辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP47jM.html" rel="bookmark" class="title">如何确定oracle数据库的连接模式是专用还是共享模式</a>
					<div>
						这个问题既与参数shared_servers.dispatchers有关,还与服务器.客户端的TNSname.ora文件有关系. 在DB端的shared_servers参数控制server是否能接受s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b249wZp.html" rel="bookmark" class="title">打开win7系统中网络连接三个技巧</a>
					<div>
						  技巧一. 1.打开运行对话框,然后输入&quot;ncpa.cpl&quot;,回车即可打开; 2.打开的网络连接窗口如下图. 技巧二. 1.在运行对话框中输入&quot;cmd&quot;打开命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBo9Yz.html" rel="bookmark" class="title">windows照片查看器底色变成米黄色的解决办法</a>
					<div>
						  从网上下载系统安装后发现windows照片查看器的底色变成米黄色,感觉很不爽,怎么把它改成正常的颜色呢 1.如下图所示,打开一个图片,显示成这样的米黄色,感觉很不正常,这是装系统时的一个显示器显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o48mb.html" rel="bookmark" class="title">正则表达式&lpar;&quest;&amp;amp&semi;amp&semi;lt&semi;&equals;&amp;amp&semi;amp&semi;lt&semi;&lpar;&bsol;w&plus;&rpar;&amp;amp&semi;amp&semi;gt&semi;&rpar;&period;&ast;&lpar;&quest;&equals;&amp;amp&semi;amp&semi;lt&semi;&bsol;&sol;&bsol;1&amp;amp&semi;amp&semi;gt&semi;&rpar; 分组</a>
					<div>
						问题描述 正则表达式(?&lt;=&lt;(w+)&gt;).*(?=&lt;/1&gt;) 分组 正则表达式(?&lt;=&lt;(w+)&gt;).*(?=&lt;/1&gt;)里面1代表的是 ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e81Ob.html" rel="bookmark" class="title">PgSQL &CenterDot; 案例分享 &CenterDot; PostgreSQL&plus;HybridDB解决企业TP&plus;AP混合需求</a>
					<div>
						背景 随着IT行业在更多的传统行业渗透,我们正逐步的在进入DT时代,让数据发挥价值是企业的真正需求,否则就是一堆废的并且还持续消耗企业人力,财力的数据. 传统企业可能并不像互联网企业一样,有大量的开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8B1Ob.html" rel="bookmark" class="title">AngularJS深入探讨scope，继承结构，事件系统和生命周期&lowbar;AngularJS</a>
					<div>
						本文实例讲述了AngularJS的scope,继承结构,事件系统和生命周期.分享给大家供大家参考,具体如下: 深入探讨 Scope 作用域 每一个 $scope 都是类 Scope 的一个实例.类 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Y8Kz.html" rel="bookmark" class="title">基于CentOS 7配置Nginx正向代理</a>
					<div>
						Nginx是一款以轻量级.低内存开销.支持缓存.支持反向代理,负载均衡,电子邮件服务而著称.对于鲜为人知的是,它还可以作为一个简单易用的正向代理服务器.本文简要描述这个正向代理功能并给出演示,供大家参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo7AQb.html" rel="bookmark" class="title">Redux教程3：添加倒计时</a>
					<div>
						前面的教程里面,我们搭建了一个简单红绿灯示例,通过在console输出当面的倒计时时间:由于界面上不能显示倒计时,用户体验并不良好,本节我们就添加一个简单的倒计时改善一下. 作为本系列的最后一篇文章, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVgZZb.html" rel="bookmark" class="title">rcp java swt-关于RCP中设计一个可以折叠的对话框</a>
					<div>
						问题描述 关于RCP中设计一个可以折叠的对话框 大家好: 我想问一下,用RCP设计一个对话框,如何可以实现对话框的折叠性,如图A和图B: ![CSDN移动问答][1] [1]: http://my.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlxdQb.html" rel="bookmark" class="title">win10 独立显卡如何取消禁用</a>
					<div>
						问题描述 win10 独立显卡如何取消禁用 升级win10系统后,用系统自带的电影电视打开avi文件,只有声音没有图像,百度后,说是要把独立显卡禁了,然后我不经思考就把独显给禁了,禁了以后出现了别的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r3Jxp.html" rel="bookmark" class="title">Visual Studio跨平台开发实战&lpar;2&rpar; - Xamarin&period;iOS基本控制项介绍</a>
					<div>
						原文 Visual Studio跨平台开发实战(2) - Xamarin.iOS基本控制项介绍 前言 在上一篇文章中, 我们介绍了Xamarin 以及简单的HelloWorld范例, 这次我们针对iO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z402Y8z.html" rel="bookmark" class="title">android-DialogFragment参数和指针异常</a>
					<div>
						问题描述 DialogFragment参数和指针异常 类传递一个参数给DialogFragment,但是再onCreate方法中出现了NullPointerException. 对话框的片段代码: p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R6A7z.html" rel="bookmark" class="title">求 IBM TDS 下载地址 最好是6&period;2</a>
					<div>
						问题描述 最近在学习TDS,找了个tds62-win-ia32.iso,但机器是win764位的,安装提示系统不支持,请问哪位有win764位或者windowsserver2008R2的安装文件先谢了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWly9rp.html" rel="bookmark" class="title">VMware收购Shavlik　针对漏洞和配置管理</a>
					<div>
						虚拟化安全巨人VMware公司,日前宣布收购Shavlik Technologies公司,将其安全产品延伸到补丁和配置管理方面.收购的购财务条款没有披露.Shavlik Technologies公司是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEgQlM.html" rel="bookmark" class="title">vb&period;net主表与明细表的保存问题？</a>
					<div>
						问题描述 vb.net主表与明细表的保存问题?表头部分用文件框输入表体部分用DATAGRIDVIEW作明细数据录入不通过数据绑定,要保证服务器与客户端都可用,也就是服务器名称要做变量 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeqr5b.html" rel="bookmark" class="title">vb&period;net 念数字</a>
					<div>
						问题描述 大家好!我想做一个电信或移动话费查询(用电话)类似的系统(拨打10001电信服务电话机器给我念出来使用的话费,123.60元(念一百二十三元,六角)).也就说一个textbox里面有个数字比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjrWNM.html" rel="bookmark" class="title">网络114：巨资购域名是为了保护域名资源</a>
					<div>
						近日,米市有消息称某买家以700万巨资&quot;包养&quot;二十几个city.Cn相关域名,随着交易域名的相继上线,域名包养者-网络114成为业界关注的焦点. 现在,打开网络114首页,城市旅游 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVoVb.html" rel="bookmark" class="title">国内首个专业罕见病咨询医疗服务平台&OpenCurlyDoubleQuote;博士360&rdquo;上线</a>
					<div>
						2014年11月5日,在第二届世界罕见病大会召开之际,国内首家为罕见病患者提供专业咨询医疗服务的网络平台,博士360网站(www.boshi360.com)正式上线.该服务平台由全球领先的新药研发公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWmamM.html" rel="bookmark" class="title">java web技术需要从服务器端数据库中下载数据到本地</a>
					<div>
						问题描述 由于是web技术所以代码也要放在服务器上.客户端运行一个网页的时候,后台自动运行从服务器端的数据库中把数据写到本地的txt文本文件中.细节要求是按照日期判断同一天的数据是一个txt.隔天自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x0akb.html" rel="bookmark" class="title">android 或java函数返回值，应该如何写才对</a>
					<div>
						问题描述 android 或java函数返回值,应该如何写才对 下面是我遇到的问题: 解决方案 你这样肯定不行:你在你的这个方法里面注册来一个检测器来获取你需要的string,其中的onListDep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy8dXz.html" rel="bookmark" class="title">GMIC 2014首日：智能机器人成亮点</a>
					<div>
						5月5日晚间消息,全球移动互联网大会(GMIC)2014今日在北京开幕.尽管&quot;下一个50亿&quot;是本届大会的主题,但智能机器人才是首日GMIC主会场的最大亮点:而整个大会期间既有对自身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJOYvp.html" rel="bookmark" class="title">&period;net 2&period;0链接Oracle 10g</a>
					<div>
						问题描述 [STAThread]privatestaticvoidMain(string[]args){DbConnectionssa=newOracleConnection(&quot;DataSo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
